# 12.0
## 12.0.7 - La propriété d'Astrobazzarh
- correction des opérations faites à la création d'un Item:
  - la durée des queues/rencontres/souffles
  - les effets draconiques d'un souffle/queue
  - mise à jour des points de tâche des blessures lors des soins
- pas d'expérience sur les particulières quand aucun MJ n'est connecté
- Le drag&drop d'un acteur depuis la liste des acteurs sur la fiche
  d'une entité incarnée permet d'accorder le personnage
- Les messages pour résister aux possessions/conjuration sont envoyées
  au défenseur
- Les messages pour résister aux empoignades sont envoyées au défenseur
- la commande /voyage affiche maintenant le total de fatigue pour chaque voyageur
- la commande /voyage affiche maintenant les compétences liées au terrain

## 12.0.6 - Le bazar d'Astrobazzarh
- Corrections de l'inventaire en bazar:
  - un problème pouvait survenir en déplaçant les objets 
    l'inventaire, qui fait qu'un conteneur se retrouve récursivement dans son
    propre contenu, ce qui empêche d'ouvrir la feuille d'acteur.
  - un objet non-conteneur pouvait dans certains cas avoir un pseudo contenu
  - un objet pouvait être considéré comme contenu, sans être présent dans un
    conteneur (et donc non affiché)
  - vider les conteneurs supprime correctement toutes les informations liées
    aux conteneurs/contenus
- Les messages pour les tirages dans le compendium utilisent le "roll mode" 
  courant pour leur visibilité
- Fix: restaurer la compatibilité Foundry 11

## 12.0.5 - Les mauvais jours d'Astrobazzarh
- Fix: on peut de nouveau ouvrir l'édition de calendrier
- Fix: on ne peut plus ouvrir plusieurs fenêtres de lancer de sort
- Fix: Failed to execute 'getComputedStyle' on 'Window'

## 12.0.4 - La plaie d'Astrobazzarh
- **Support V12**
  - Fix: les boutons d'encaissement dans le tchat fonctionnent de nouveau
  - Fix warnings sur "Die" et AudioHelper

## 12.0.3 - L'hémorragie d'Astrobazzarh
- **Support V12**
  - On peut de nouveau ouvrir un acteur blessé après redémarrage du monde
  - On peut de nouveau ouvrir les Items avec une rareté par environnement
  - Le choix de ne plus afficher les demandes de suppression est bien pris en compte

## 12.0.2 - Les pluies d'Astrobazzarh
- **Support V12**
  - correction des actions techniques déleguées au MJ qui bloquaient les fenêtre de lancer de dés des joueurs (et plein d'autres)
  - la fenêtre de calendrier s'ouvre correctement
  - les dés draconiques peuvent de nouveau faire plus que 0
  - adaptation de la fenêtre de recherche
  - correction des comparaisons de version pour les migrations automatiques
  - correction des roll.eveluate: l'option async est maintenant standard
  - correction des templates liés aux selections
  - correction de l'ajustement de luminosité de la scène selon l'heure
  - correction des images d'effets sur les tokens
  - correction de la vente par le tchat: seul le premier acheteur pouvait acheter
  - correction d'erreurs intempestives 'User ... lacks permission to update ...'

# 11.2
## 11.2.21 - Le questionnement d'Akarlikarlikar
- Une confirmation spécifique est demandée pour monter dans les terres médianes en cas de rencontre en attente
- L'expérience en caractéristique sur les jets de chance et rêve actuels est mise dans la caractéristique correspondante
- Les effets s'appliquent correctement sur les créatures
- La date et l'heure (draconiques) sont affichées dans les messages du tchat

## 11.2.20 - Le soulagement d'Akarlikarlikar
- L'option "ajout de la difficulté d'attaque à l'encaissement" est affichée comme un modificateur d'encaissement
- Les options d'encaissement alternatives fonctionnent avec la validation de l'encaissement par le gardien
- La fenêtre d'astrologie du gardien affiche toutes les heures lues par un personnage
- Si aucune expérience n'est gagnée, les autres effets à appliquer (comme la récupération de seuil après avoir vaincu un rêve de Dragon) s'appliquent normalement
- Les tooltips de Foundry sont lisibles
- On n'accorde plus les entités de cauchemar deux fois quand le gardien valide les encaissements
- Les messages de récupération de rêve en cas de Rêve de Dragon sont clarifiés

## 11.2.19 - Les hémorroïdes d'Akarlikarlikar
- La validation des jets d'encaissement par le Gardien fonctionne de nouveau

## 11.2.18 - Le bourrichon d'Akarlikarlikar
- Les différentes listes de la feuille de personnage ont maintenant le bouton pour envoyer dans le tchat

## 11.2.17 - Le cache-oeil d'Akarlikarlikar
- Le titre des fenêtre d'objet affiche de nouveau le type traduit
- Les tooltips des boutons edit/delete sont maintenant en Français
- La case à cocher "Cacher les points de tâches" fonctionne de nouveau
- Les personnages non-liés ne sont plus dans les liste de personnages joueurs pour le repos, le stress, la fatigue
- L'utilisation de Thanatos est visible dans l'onglet Haut-Rêve pour indiquer que la prochaine queue est une ombre
- La fenêtre des TMRs ne devrait plus afficher une zone noire au lieu de la carte.

## 11.2.16 - Le Tri d'Akarlikarlikar
- Tri alphabétique des items dans la fenêtre de création
- Mise à jour comptage de monde

## 11.2.15 - La Table d'Akarlikarlikar
- Tirage automatique de la foce d'une rencontre (via la commande /tmrr)
- Ajout de boutons pour ajouter des blessures "complètes" (ie avec perte d'endurance/vie)

## 11.2.14 - Les petits pas d'Akarlikarlikar
- Correction sur la gestion de la surprise
- Ordre des messages sur les cases humides

## 11.2.13 - Les cent pas d'Akarlikarlikar
- Ajout de la commande /voyage pour gérer la fatigue de marche des voyageurs

## 11.2.12 - Le somnifère  d'Akarlikarlikar
- Fix: les potions enchantées n'empêchent plus de finir correctement Château Dormant

## 11.2.11 - Le miroir d'Akarlikarlikar
- Changement des images de compétence de créatures morsure/pinces pour être dans le thème
- Suppression de la bordure autour des portraits d'acteurs, remplacés par un légèr éclaircissement du fond
- Fix: le refoulement ajoute correctement un souffle et revient à 0 en cas d'échec

## 11.2.10 - Les expériences d'Akarlikarlikar
- En cas d'expérience des caractéristiques dérivées,
  - si plusieurs caractéristiques pourraient recevoir l'expérience, une fenêtre demande au joueur
  - si une seule caractéristique peut recevoir de l'expérience, c'est attribué automatiquement
- Si la force est au maximum pour la taille personnage, on ne peut plus gagner d'expérience

## 11.2.9 - La barbe d'Akarlikarlikar
- Amélioration des textes de tooltips
- Les tooltips sont plus dans le thème de couleur du système Rêve de Dragon 
- Ajouts d'icones pour les attaque/initiative/soins dans les raccourcis sur les tokens (HUD)
- Ajout d'une icône et transformation en bouton du lien pour accéder à l'astrologie et aux chiffres astraux
- Suppression de message de log inutile sur chaque point de coeur
- On peut désactiver l'ajustement astrologique sur les jets de chance (pour des jts de chances non liés à une heure)- Fix: suppression de quelques cas d'erreur lors de l'ouverture des TMR
- Fix: suppression du warning de depréciation effects flags.core.statusId
- Les sorts en réserve en fleuve sont indiqués sur toutes les cases fleuve
- Changement de l'icône d'état d'empoignade pour suivre les couleurs des autres icônes d'état

## 11.2.8 - L'éclairage d'Akarlikarlikar
- l'ajustement de la lumière jour/nuit s'étale sur moins de temps (vaisseau et Lyre)
- les nouveaux tooltips ne masquent plus l'information d'expérience
- les jets de dés pour maîtriser les rencontres fonctionnent de nouveau

## 11.2.7 - Les explications d'Akarlikarlikar
- Ajout de tooltips sur la plupart des boutons, liens clickables, objets, tâches, ...
- Fix: on peut de nouveau regarder l'inventaire avec les droits limités/observateur

## 11.2.6 - Les réveils difficiles d'Akarlikarlikar
- Les changements de points de Cœur sont temporaires jusqu'à fin Château Dormant
- Fix: tous les petits fixes (feuille qui s'ouvre plus, compagnons animaux, potions qui bloquent Château Dormant, ...)

## 11.2.2 - Les tendres moments d'Akarlikarlikar
- On peut maintenant avoir des points de Cœur pour des suivants/compagnons
  - diminuer les points de coeurs fait perdre du moral
  - on peut proposer un tendre moment
  - les jets de volonté peuvent être ajustés selon les points de Cœur
- Fixes
  - La résistance est de 1 par défaut pour les équipements
  - Les armes de créatures sont de nouveau utilisables depuis les tokens
  - Pas de notifications de signe draconique quand on regarde les TMR sans monter
  - Correction d'un problème de contextes WebGL causé par des ouvertures/fermetures de TMRs
  - On peut maintenant prendre un objet d'un acteur-token pour l'ajouter à un autre acteur
  - On ne peut plus donner d'objets d'un acteur à un acteur-token
  - L'état général est correctement calculé, affiché, et utilisé pour les animaux
  - On peut ajouter des blessures manuellement aux animaux
  - Le texte de la carte de Tarot "Le Gibet" est corrigé
  - Sur Firefox, le calendrier est correctement initialisé, les ajustements astrologiques
    ne bloquent plus les jets de dés

## v11.2.1 - La technique d'Akarlikarlikar
- On peut créer des armes pour Corps à corps et Esquive. Barreaux de chaise, armes improvisées, techniques d'art martiaux, pas de côté pour faire trébucher l'adversaire... A vous de voir comment imaginer de nouvelles "armes".
- Les armes avec une résistance de 0 ne peuvent pas être utilisées, une image et un rappel indiquent qu'elles sont cassées

Vu qu'elles ne peuvent pas être utilisées, permet de savoir pourquoi
## v11.2.0 - Les Terres médianes d'Akarlikarlikar
- Les TMRs sont redimensionables
- Nouveaux graphismes plus lisibles dans les TMRs
- Nouveau code couleur des icônes dans les TMR:
  - noir: case innaccessible
  - rouge: empêche l'usage du haut-rêve
  - vert: bonus de tête de dragon permanent
  - bleu: la case doit être vaincue
  - blanc: effet temporaire (sort en réserve, présent des cités)
- Fix: les déplacements aléatoires prennent bien compte des colonnes paires/impaires
- Fix: Le Tricollet prend deux "L"
- Fix: Les jets d'encaissement forcés par le gardien à un résultat inférieur à 11 ne peuvent plus donner un deuxième d10 négatif

# v11.1
## v11.1.6 - Les dissections de Werther de Zloth
- Fix: on peut de nouveau donner des compétences aux créatures
- Fix: le délai de guérison d'une blessure rétrogradée est correctement appliqué
- Fix: l'encaissement à valider par le MJ fonctionne de nouveau

## v11.1.5 - Werther de Zloth l'Onirique
- Fixes:
  - la demande de défense ne marchait plus
  - la tête réserve extensible crée bien une case de réserve extensible (à modifier)
  - le souffle trou noir ajoute bien une case de trou noir
  - la queue urgence draconique ne se transforme plus en idée fixe s'il y a des sorts en réserve
  - l'ajout d'une nouvelle queue ne supprime plus l'insomnie
- Amélioration des jets de vie
  - un 1 sur le jet de vie est une réussite même si le personnage est dans le coma
  - le temps avant le prochain jet est calculé et affiché
  - un 20 sur le jet de vie signifie la mort immédiate
  - si on dépasse le S.Const, le personnage est bien indiqué comme mort
  - pas de jets de vie pour les morts

## v11.1.4 - Werther de Zloth l'Onirique
- Ajout du facteur de significative à côté du pourcentage dans le résultat des jets de dés pour rappeler que le pourcentage n'est pas diviasé
- Fix: dans les TMRs, les tooltips affichent bien les informations de tous les effets sur la case
- Fix: la fatigue et l'éthylisme sont de nouveau pris en compte dans le calcul de l'éthylisme
- Fix: Le MJ peut correctement masquer les points de tâche requis
- Fix: le jet d'appréciation n'utilise pas la compétence
- Fix: la qualité négative n'est pas exotique, elle est juste mauvaise: on n'utilise pas la cuisine pour se retenir de jeter l'assiette
- Esthétique: ne pas afficher "+0" pour les ajustements de jets/encaissement

## v11.1.2 - Les vertèbres de Werther de Zloth
- Fix: les jets d'encaissement fonctionnent de nouveau normalement
- Macro "Mon personnage" permettant au joueur d'accéder à sa feuille de personnage depuis la barre de macros

## v11.1.1 - Les fumebols de Werther de Zloth
- Fix: on peut de nouveau afficher les vues détaillées
- Fix: on peut ouvrir les sacs et contenants portés par les véhicules et créatures
- Fix: cuisiner du gibier prend maintenant bien les proportaions en compte

## v11.1.0 - Les choix de Werther de Zloth
- Les options suivantes peuvent être désactivées:
  - La transformation de stress à Château Dormant
  - La récuperation de chance à Château Dormant
  - La récupération d'éthylisme
  - La récupération de rêve (y compris fleurs de rêve et Rêves de Dragon: la rencontre a lieu, mais ne donne pas de rêve)
  - Le jet de moral de Château Dormant
- Séparation des véhicules dans leur propre acteur
- Séparation des entités dans leur propre acteur
- Séparation des créatures dans leur propre acteur
- La fenêtre de signes draconiques ne sélectionne plus tout les haut-rêvants par défaut
- Un nouveau personnage a automatiquement son token relié
- corrections de bugs
  - si on n'utilise pas les règles de fatigues, un reflet de rêve pouvait garder le Haut-rêvant dans les TMRs pour toujours
  - certaines macros ne marchaient pas pour les créatures/entités/véhicules/commerces
  - en cas de charge, les particulières sont toujours en force (p125)

# v11.0
## v11.0.28 - les fractures de Khrachtchoum
- La gravité de la blessure est affichée dans le résumé de l'encaissement
- Lors du changement d'acteur pendant le round
  - le message annonçant le joueur dont c'est le tour ne contient plus d'informations de santé
  - un message avec les informations de santé est envoyé au Gardienn et au propriétaire du token.acteur
  - le jet de vie est bien fait par le token si besoin
  - seul les propriétaires peuvent faire les jets de vie 
- Amélioration de la fenêtre de jets
  - le type de dégâts pour les attaques est toujours affiché
  - le moral est indiqué avant l'icone d'appel au moral

## v11.0.27 - Khrachtchoum le méticuleux
- le tooltip dans les TMR reste visible si on ne bouge pas la souris
- le surencombrement n'affecte QUE les actions physiques
- on peut de nouveau fabriquer une potion depuis la fenêtre d'édition de l'herbe
- si les TMR sont minimisées alors qu'une action est requise, elles sont bien réaffichées lorsque l'action est faite

## v11.0.26 - le crépuscule de Khrachtchoum
- gestion correcte des TMRs
  - les TMRs ne sont jamais minimisées (par le système) quand le haut-rêvant est en demi-rêve
  - lorsqu'une fenêtre liée aux demi-rêve est affichée, cliquer sur les TMRs n'a pas d'effet
  - les lancers de sorts et lectures de signes sont affichées en premier plan
  - Les effets qui ouvrent une fenêtre sont bien affichés en premier plan
  - en cas de rencontre suivie de maîtrises/conquêtes, les fenêtres s'enchaînent
- Le drag&drop vers la barre de macro est corrigé
  - pour les créatures, possibilités d'avoir les attaques ou autres compétences
  - pour les personnages, les macros sont créées:
    - pour les compétences
    - pour le corps à corps, trois macros sont créées: compétence, pugilat, empoignade
    - pour les armes
      - deux macros sont créées pour les armes à 1/2 mains
      - deux macros sont créées pour les armes de mélée et lancer
      - 4 macros si votre arbalête se lance, tire, et se manie à 1 ou 2 mains...
- les jets de compétences d'attaque des créatures fonctionnent de nouveau

## v11.0.25 - la vision du rêve de Khrachtchoum
- Les TMRs restent affichées tant que le Haut-rêvant est en demi-rêve

## v11.0.24 - les couleurs de Khrachtchoum
- nouvelle carte des TMRs

## v11.0.23 - la lumière de Khrachtchoum
- ajustement automatique de la luminosité selon l'heure pour les scènes:
   - avec une vision des tokens (sinon: ce n'est pas une scène de carte pour tokens)
   - avec illumination globale (correspondant à une illumination extérieure)
   - quand lampe "allumée" dans la fenêtre du calendrier

## v11.0.22 - les automatismes de Khrachtchoum le Problémeux
- Macro pour attaquer avec les compétences de créatures

## v11.0.20
- Macro pour attaquer avec les armes des personnages

## v11.0.17
- Fix: les actions de commerce ne s'appliquait pas bien aux personnages des tokens non liés

## v11.0.15 - L'apprentissage de Khrachtchoum
- Fix: l'expérience ne s'appliquait plus sur certaines réussites particulières (régression depuis la 11.0.7)

## v11.0.14 - Les pincettes de Khrachtchoum le Problémeux
- Correction du calcul de la place restante lors de l'ajout dans un conteneur

## v11.0.13 - La multiplication de l'eau de Khrachtchoum le Problémeux
- Correction de la vente depuis un commerce ayant des quantités illimitées

## v11.0.12 - Les poids de la mesure de Khrachtchoum le Problémeux
- Correction des malus de surencombrement
- Le malus armure est correctement affiché dans l'onglet des caractéristiques
- Correction d'orthographe et amélioration des messages des oeuvres d'art

## v11.0.11 - Les bleus de Khrachtchoum le Problémeux
- si le gardien configure le sommeil, les joueurs sont notifiés que chateau dormant vient de passer
- possibilité de créer des armes et des compétences de créatures non-mortelles.

## v11.0.10 - Les Songes de Khrachtchoum le Problémeux
- on peut de nouveau se déplacer dans les TMRs d'un clic sur la case à atteindre
- Lire un livre depuis l'inventaire permet de nouveau de faire un jet de la tâche
  créée au lieu de créer toujours une nouvelle tâche
- La sélection des TMR pour la création de signes draconiques ne cause plus d'erreurs
- la récupération d'endurance en cas d'insomnie est limitée à la moitié
- le résultat du sommeil lors d'un rêve de dragon à la première heure s'affiche normalement
- lorsque le gardien gère la durée des nuits, en cas de rêve de dragon,
  les heures dormies sont déduites des heures restant à dormir

## v11.0.9 - Les Souvenirs de Khrachtchoum le Problémeux
- mode de saisie de l'archétype en vue détaillée
- création  une nouvelle incarnation depuis l'archétype
- réorganisation de la fenêtre de sélection des règles optionnelles
- correction de l'affichage du type dans les fenêtres d'objets

## v11.0.8 - la poigne de Sémolosse
- lien vers le changelog
- organisation des compendiums du système
- correction de l'empoignade
  - les items d'empoignade sont ajoutés par le MJ quand nécessaire
  - seul le joueur propriétaire du personnage peut effectuer ses choix et actions d'empoignade
  - les caractéristiques du défenseur sont utilisées pour la défense
  - la difficulté d'attaque est imposée au défenseur
  - les attaques particulières sont en finesse (p133)
  - on peut entraîner au sol dès 2 points d'empoignade
  - les actions liée à l'immobilisation sont proposées en fin de round

# v11.0.7

- les créatures ont maintenant le droit d'avoir des compétences de tir, lancer, mêlée, armes naturelles, parade.
- les créatures armées utilisent la bonne phase d'initiative
- correction des possessions
  - la difficulté de la défense est imposée par l'attaque
  - une attaque particulière de possession est en finesse
  - le rêve actuel des personnages est bien utilisé
- correction des achats par le MJ sans acteur sélectionné

Cf branche v10 pour l'historique des versions 10

